## lvm-common 1.5.5

=== Makefile ===

LVMIOPSOURCES = lvmiopversion.c lvm_get_iop_version.c lvm_check_special.c

all: lvmiopversion

lvmiopversion: $(LVMIOPSOURCES) lvm_user.h liblvm.h lvm.h
	gcc -g -O2 -I. -o $@ $(LVMIOPSOURCES)

clean:
	rm -f lvmiopversion

install:
	install -d -o root -g root -m 0755 $(DESTDIR)/sbin
	install -o root -g root -m 0755 lvmiopversion \
		$(DESTDIR)/sbin/lvmiopversion

	install -d -o root -g root -m 0755 $(DESTDIR)/usr/sbin
	install -o root -g root -m 0755 \
		lvm-bin-scan $(DESTDIR)/usr/sbin/lvm-bin-scan

	install -d -o root -g root -m 0755 $(DESTDIR)/usr/share/man/man1
	install -p -o root -g root -m 0644 lvmiopversion.1 \
		$(DESTDIR)/usr/share/man/man1/
	install -p -o root -g root -m 0644 lvm-bin-scan.1 \
		$(DESTDIR)/usr/share/man/man1/

.PHONY: all clean install

=== debian/changelog ===
lvm-common (1.5.5) unstable; urgency=high

  * Fix sparc problems; push into woody to allow lvm10 in (Closes: #143407).
  *  

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 29 Apr 2002 11:26:27 +0200

lvm-common (1.5.4) unstable; urgency=high

  * New version to push this in woody.

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 21:41:09 +0200

lvm-common (1.5.3) unstable; urgency=low

  * Apply patch from Petter Reinholdtsen to fix arch compile problems.
    (Closes: #123292, #131817)
  * added binutils depend (Closes: #138514)
  * Removed lvm cronjob  (Closes: #135489, #138954, #139169, #138779, #139106
    and Closes: #139594 )
    (surprising how many people don't bother checking the BTS before filing..)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 20:19:26 +0200

lvm-common (1.5.2) unstable; urgency=low

  * Disable __KERNEL_ defines alltogether (Closes: #123292, #131817)

 -- Robert van der Meulen <rvdm@debian.org>  Mon,  4 Mar 2002 16:57:31 +0100

lvm-common (1.5.1) unstable; urgency=low

  * Non-maintainer upload
  * disable #define __KERNEL__ for s390. (Closes: #131817)
  * disable #define __KERNEL__ for powerpc. (Closes: #123292)
     
 -- Gerhard Tonn <gt@debian.org>  Mon, 18 Feb 2002 12:12:03 +0100 

lvm-common (1.5) unstable; urgency=low

  * Increased logrotating of /var/log/lvm from to daily.(Closes: #126022)
  * Added check in cron job, to fix useless cron mailings. (Closes: #128739)
  * cron script logs to /var/log/lvm (Closes: #110093)

 -- Robert van der Meulen <rvdm@debian.org>  Wed, 30 Jan 2002 21:43:06 +0100

lvm-common (1.4) unstable; urgency=low

  * Fixed circular dependency problem
  * Added logrotation on /var/log/lvm (Closes: #109191), which also fixes
    the /var/log/lvm permission problem (Closes: #109190).
  * Remove old-style cronjob on upgrade (Closes: #109239)

 -- Robert van der Meulen <rvdm@debian.org>  Wed, 28 Nov 2001 13:26:44 +0100

lvm-common (1.3) unstable; urgency=low

  * Fixed init script (Closes: #108706)

 -- Robert van der Meulen <rvdm@debian.org>  Thu, 16 Aug 2001 20:14:30 +0200

lvm-common (1.2) unstable; urgency=low

  * Fixed small mistake in cron; lvmsadc overwrites /var/log/lvm in stead
    of appending to it.
  * Sent cron output to /dev/null (Closes: #102034)
  * Removed debhelper usage in debian/rules (Closes: #106623)
  * Try to load lvm module in /etc/init.d/lvm (Closes: #96035)

 -- Robert van der Meulen <rvdm@debian.org>  Fri, 27 Jul 2001 20:45:12 +0200

lvm-common (1.1) unstable; urgency=low

  * Don't put lvmtab in package, but create/remove it in maintainer scripts
  * Completely redid packaging. No more debhelper or any other build-depends
  * Improved Makefile a bit so debian/rules becomes simpler
  * Bump Standards-Version to 3.5.5
  * Add versioned build-depends on modutils since we use update-modules
  * Thanks to <wakkerma@debian.org> for most of the changes!

 -- Robert van der Meulen <rvdm@debian.org>  Sat, 21 Jul 2001 21:37:30 +0200

lvm-common (1.0.4) unstable; urgency=low

  * NMU to have Tom's new design enter woody some day.
  * Reverted to 1.0.1 except for version on debhelper build-dep.
  * Removed this (<< 1:0) on lvm Replaces/Conflict.  Makes no sense.

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Jun 2001 00:27:28 +0200

lvm-common (1.0.3) unstable; urgency=low

  * Fixed _stupid_ error in the control file (removed conflict with 'lvm') 

 -- Robert van der Meulen <rvdm@debian.org>  Thu,  3 May 2001 00:29:48 +0200

lvm-common (1.0.2) unstable; urgency=low

  * Added dependency on 'lvm' instead of 'lvm-binaries' (Closes: #86755)
  * Updated extended description; lvm-common only depends on 'lvm'.
  * Close old 'depmod' bug (Closes: #89182), fixed in the previous release - but
    added 'new enough' debhelper build-dependency.

 -- Robert van der Meulen <rvdm@debian.org>  Thu,  3 May 2001 00:29:44 +0200

lvm-common (1.0.1) unstable; urgency=low

  * NMU to have this enter woody some day.
  * Use /lib/lvm-*/ instead of /sbin/lvm-*/ to be FHS-compliant (reason
    for the reject of previous upload of lvm-binaries packages).
  * Added missing field to cron.d/lvm-common (Closes: #89276).
  * Previous releases closes: #88571, #88572, #89281, #92068.
  * Updated extended description, which was refering to non-existent lvm7,
    instead of lvm5.
  * Added "set -e" to maintainer scripts; upgraded syntax for tests.

 -- Yann Dirson <dirson@debian.org>  Thu,  5 Apr 2001 02:24:13 +0200

lvm-common (1.0) unstable; urgency=low

  * New package containing many parts of the old LVM package.
    Also has the lvmiopversion binary, and the script mechanism
    for maintaining symlinks to this binary.
  * This package depends on lvm-binaries, which is a virtual package
    in turn provided by the new invidual lvm6, lvm10, etc. packages
    (one for each protocol revision). The old "lvm" package is now a
    dummy package which depends on lvm5, which provides the same
    protocol revision as the old 0.8i-3 package (the last "real"
    lvm package to be uploaded to Debian).
  * All the packages are built from different source packages in the
    new scheme.

 -- Tom Lees <tom@debian.org>  Tue, 26 Dec 2000 17:52:54 +0000

lvm (0.9-1) unstable; urgency=low

  * Not released at all.
  
  * New upstream version (Closes: #66084, #63051).
  * /etc/cron.d/lvm is now registered as a conffile, along with some others
    which weren't being registered (Closes: #60072).
  * update-modules isn't called by LVM any more unless it exists (since a
    couple of revisions back (Closes: #62871).
  * Modify e2fsadm to support ext2online for online resizing.

 -- Tom Lees <tom@debian.org>  Mon,  4 Dec 2000 20:57:35 +0000

lvm (0.8.final-1) unstable; urgency=low

  * Not released widely; certainly never uploaded to Debian.
  
  * Update to new upstream version.
  * Run vgscan if devfs detected.
  * Minor documentation updates to README.Debian.
  * Small fix to tools/lib/lvm_remove_recursive.c to make vgscan work


=== debian/control ===
Source: lvm-common
Section: admin
Priority: optional
Maintainer: Robert van der Meulen <rvdm@debian.org>
Standards-Version: 3.5.5

Package: lvm-common
Architecture: any
Depends: ${shlibs:Depends}, modutils (>> 2.3.11-2), binutils
Suggests: ext2resize
Recommends: logrotate
Replaces: lvm
Conflicts: lvm, lvm5 (<= 0.8i-4), lvm6 (<= 0.8.final-2), lvm10 (<= 0.9-1)
Description: The Logical Volume Manager for Linux (common files)
 LVM includes all of the support for handling read/write operations on
 physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
 multiple devices (MD), see mdadd(8) or even loop devices, see losetup(8)),
 creating volume groups from one or more physical volumes and creating
 one or more logical volumes in volume groups.
 .
 This package includes parts of the LVM packaging which do not depend on
 the particular IO protocol version of the kernel implementation. You need
 to install in addition one of lvm5, lvm6, or lvm10.

=== debian/rules ===
#!/usr/bin/make -f

build: 
	$(MAKE)

clean:
	rm -f debian/files debian/substvars
	rm -f build-stamp configure-stamp
	rm -rf debian/tmp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean


binary: binary-arch binary-indep

binary-indep:

binary-arch: build
	rm -rf debian/tmp
	install -d -o root -g root -m 755 debian/tmp

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	strip --remove-section=.comment --remove-section=.note \
		--strip-unneeded debian/tmp/sbin/*

	gzip -9 debian/tmp/usr/share/man/man1/*

	install -d -o root -g root -m 755 debian/tmp/usr/share/doc/lvm-common
	install -p -o root -g root -m 644 debian/changelog \
		debian/tmp/usr/share/doc/lvm-common/
	install -p -o root -g root -m 644 debian/README \
		debian/tmp/usr/share/doc/lvm-common/
	gzip -9 debian/tmp/usr/share/doc/lvm-common/*
	install -p -o root -g root -m 644 debian/copyright \
		debian/tmp/usr/share/doc/lvm-common/

	install -d -o root -g root -m 755 debian/tmp/etc/devfs/conf.d
	install -p -o root -g root -m 644 debian/devfsd.conf \
		debian/tmp/etc/devfs/conf.d/50lvm

	install -d -o root -g root -m 755 debian/tmp/etc/init.d
	install -p -o root -g root -m 755 debian/init \
		debian/tmp/etc/init.d/lvm

	#install -d -o root -g root -m 755 debian/tmp/etc/cron.d
	#install -p -o root -g root -m 644 debian/cron \
	#	debian/tmp/etc/cron.d/lvm-common

	install -d -o root -g root -m 755 debian/tmp/etc/logrotate.d
	install -p -o root -g root -m 644 debian/logrotate \
		debian/tmp/etc/logrotate.d/lvm-common

	install -d -o root -g root -m 755 debian/tmp/etc/modutils
	install -p -o root -g root -m 644 debian/modules \
		debian/tmp/etc/modutils/lvm-common

	install -d -o root -g root -m 755 debian/tmp/DEBIAN
	install -p -o root -g root -m 644 debian/conffiles debian/tmp/DEBIAN/
	install -p -o root -g root -m 755 debian/postinst debian/tmp/DEBIAN/
	install -p -o root -g root -m 755 debian/prerm debian/tmp/DEBIAN/
	install -p -o root -g root -m 755 debian/postrm debian/tmp/DEBIAN/

	dpkg-shlibdeps debian/tmp/sbin/* 
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

.PHONY: build clean binary-indep binary-arch binary

## lvm-common 1.5.16ubuntu2

=== debian/changelog ===
lvm-common (1.5.16ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:55:38 -0400

lvm-common (1.5.16ubuntu1) warty; urgency=low

  * debian/init: pretty initscript 

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:09:38 -0400

lvm-common (1.5.16) unstable; urgency=low

  * Spit out a more user-friendly message if the binary does not exist
    for a particular LVM version.
    Closes: #222273
  * No longer depend on binutils
    Closes: #251766
  * Add an explanation of how we select LVM versions to README.gz
    Closes: 205455

 -- Patrick Caulfield <patrick@debian.org>  Fri, 11 Jun 2004 09:39:53 +0100

lvm-common (1.5.15) unstable; urgency=low

  * Don't depend on binutils as lvmcreate_initrd is in the LVM-specific
    packages now. Closes: #251766

 -- Patrick Caulfield <patrick@debian.org>  Tue,  1 Jun 2004 10:33:17 +0100

lvm-common (1.5.14) unstable; urgency=low

  * ignore errors from vgscan as it doesn't return 0 after --mknodes
    Closes: #243342

 -- Patrick Caulfield <patrick@debian.org>  Mon, 12 Apr 2004 12:15:12 +0100

lvm-common (1.5.13) unstable; urgency=low

  * do vgscan --mknodes for lvm2. Helps installs/initrds and 
    Closes: #236955
  * Revert last fix as it was complete rubbish.
  
 -- Patrick Caulfield <patrick@debian.org>  Sun, 11 Apr 2004 12:20:36 +0100

lvm-common (1.5.12) unstable; urgency=low

  * Fix update-rc.d call to put in a start and a stop
    rather than two starts.
    Closes: #232223

 -- Patrick Caulfield <patrick@debian.org>  Wed, 11 Feb 2004 13:30:43 +0000

lvm-common (1.5.11) unstable; urgency=low

  * Don't add --ignorelockingfailure to startup commands if we
    find device-mapper in the kernel but LVM2 is not installed.
    Closes: #225670

 -- Patrick Caulfield <patrick@debian.org>  Wed, 31 Dec 2003 15:22:26 +0000

lvm-common (1.5.10) unstable; urgency=low

  * Fix _IOR definition so it compiles with new kernel headers.
    Closes: #223172
  * Add --ignorelocking failure to lvm2 startup in case /var is not
    available.
    Closes: #222100

 -- Patrick Caulfield <patrick@debian.org>  Mon,  8 Dec 2003 10:44:39 +0000

lvm-common (1.5.9.3) unstable; urgency=low

  * Create /dev/lvm before checking the iopversion as LVM1
    needs userspace to create the device (!) before use.
    It's difficult to express in words how badly LVM1 behaves when
    confronted with devfs, sigh.
    Hope this really Closes: #205267

 -- Patrick Caulfield <patrick@debian.org>  Mon, 18 Aug 2003 08:26:35 +0100

lvm-common (1.5.9.2) unstable; urgency=low

  * Add missing leading slash to dev/null
    Closes: #204686
  * Revert to using the ioctl to get the IOP version for LVM1 as /proc can't
    be relied on to work properly.
    Closes: #205267
  * Make lvmiopversion revert to lvm10 tools if there's an active VG that's
    using the lvm1 kernel driver.  This should stop cases where there are
    activated VGs using lvm1 and dm drivers; things get messy in that case.

 -- Patrick Caulfield <patrick@debian.org>  Thu, 14 Aug 2003 09:05:08 +0100

lvm-common (1.5.9.1) unstable; urgency=low

  * Stop init script from bombing out if device-mapper is not present
    Closes: #204563

 -- Patrick Caulfield <patrick@debian.org>  Fri,  8 Aug 2003 10:05:21 +0100

lvm-common (1.5.9) unstable; urgency=low

  * Make lvm-common compatible w/ lvm2, including various init script and
    lvmiopversion changes/cleanups.
    Thanks to Andres Salomen for lots of work on this.

 -- Patrick Caulfield <patrick@debian.org>  Thu,  7 Aug 2003 09:11:37 +0100

lvm-common (1.5.8) unstable; urgency=low

  * Fix usage message in init script
    Closes: #179589
  * Fix typo in init script comment
    Closes: #177125
  * Add /etc/default/lvm-common to set protection of device nodes.
    Thanks to Marc Haber for this feature
    Closes: #179590

 -- Patrick Caulfield <patrick@debian.org>  Tue, 25 Feb 2003 08:49:19 +0000

lvm-common (1.5.7) unstable; urgency=low

  * Fix devfsd.conf so it actually works.
    Closes: #172068
  * Add a note in README.Debian about it only really
    working for VGs called vg[0-9]*
  * set -e in init script & run vgscan if /etc/lvmtab doesn't exist
    Closes: #174046
  
 -- Patrick Caulfield <patrick@debian.org>  Fri,  3 Jan 2003 09:34:59 +0000

lvm-common (1.5.6) unstable; urgency=low

  * Take over maintainership
  * Move startup script to S26 so it happens after RAID startup
    Closes: #170414, #127054, #150493
  * New devfsd.conf file from Philippe Troin <phil@fifi.org>
    Closes: #157338

 -- Patrick Caulfield <patrick@debian.org>  Tue,  3 Dec 2002 08:59:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lvm-common
 Section: admin
 Priority: optional
-Maintainer: Robert van der Meulen <rvdm@debian.org>
+Maintainer: Patrick Caulfield <patrick@debian.org>
 Standards-Version: 3.5.5
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, modutils (>> 2.3.11-2), binutils
+Depends: ${shlibs:Depends}, modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3)
 Suggests: ext2resize
 Recommends: logrotate
 Replaces: lvm

## lvm-common 1.5.17

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
-LVMIOPSOURCES = lvmiopversion.c lvm_get_iop_version.c lvm_check_special.c
+LVMIOPSOURCES = lvmiopversion.c lvm_check_lvm2.c lvm_check_lvm1.c
 
 all: lvmiopversion
 
-lvmiopversion: $(LVMIOPSOURCES) lvm_user.h liblvm.h lvm.h
+lvmiopversion: $(LVMIOPSOURCES)
 	gcc -g -O2 -I. -o $@ $(LVMIOPSOURCES)
 
 clean:

=== debian/changelog ===
lvm-common (1.5.17) unstable; urgency=low

  * Depend on module-init-tools|modutils.
    Closes: #264971

 -- Patrick Caulfield <patrick@debian.org>  Fri, 20 Aug 2004 15:23:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3)
+Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2)
 Suggests: ext2resize
 Recommends: logrotate
 Replaces: lvm

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,10 @@
 	install -p -o root -g root -m 644 debian/modules \
 		debian/tmp/etc/modutils/lvm-common
 
+	install -d -o root -g root -m 755 debian/tmp/etc/default
+	install -p -o root -g root -m 644 default \
+		debian/tmp/etc/default/lvm-common
+
 	install -d -o root -g root -m 755 debian/tmp/DEBIAN
 	install -p -o root -g root -m 644 debian/conffiles debian/tmp/DEBIAN/
 	install -p -o root -g root -m 755 debian/postinst debian/tmp/DEBIAN/

## lvm-common 1.5.17ubuntu1

=== debian/changelog ===
lvm-common (1.5.17ubuntu1) hoary; urgency=low

  * Resynchronise with Debian, resolved merge conflicts.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Oct 2004 00:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2)
+Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3)
 Suggests: ext2resize
 Recommends: logrotate
 Replaces: lvm

## lvm-common 1.5.20

=== debian/changelog ===
lvm-common (1.5.20) unstable; urgency=low

  * New maintainer.
  * Remove references to ext2resize.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Aug 2005 21:50:25 +0200

lvm-common (1.5.19) unstable; urgency=low

  * look for "vgchange" rather than "vgscan" as initrds only contain the former.
    Closes: #310479

 -- Patrick Caulfield <patrick@debian.org>  Wed, 25 May 2005 09:02:08 +0100

lvm-common (1.5.18) unstable; urgency=low

  * The "Oh 'eck, I'm still the maintainer of this one" release.
  * Dereference symlinks when setting ownership on device files
    Closes: #279683
  * Mention permissions setting is subject to complicated rules, and that
    Udev is the preferred method of doing it.
    Closes: #300193
  * Don't run LVM1 e2fsadm for LVM2
    Closes: #281925

 -- Patrick Caulfield <patrick@debian.org>  Wed, 25 May 2005 09:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lvm-common
 Section: admin
 Priority: optional
-Maintainer: Patrick Caulfield <patrick@debian.org>
+Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>
 Standards-Version: 3.5.5
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3)
-Suggests: ext2resize
+Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2)
 Recommends: logrotate
 Replaces: lvm
 Conflicts: lvm, lvm5 (<= 0.8i-4), lvm6 (<= 0.8.final-2), lvm10 (<= 0.9-1)

## lvm-common 1.5.20ubuntu4

=== debian/changelog ===
lvm-common (1.5.20ubuntu4) dapper; urgency=low

  * Brown paper bag release: fix FTBFS-causing typo in debian/rules.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 May 2006 02:40:03 +1000

lvm-common (1.5.20ubuntu3) dapper; urgency=low

  * Ship a hook for initramfs-tools as well, so we don't need to copy_exec
    from mkinitramfs itself anymore for scripts it doesn't ship.
  * Add a versioned conflict against versions of initramfs-tools that
    didn't have a "check if the hook exists before running our own version
    and exploding" check, so that upgrades don't fail as a result of this.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 May 2006 16:25:46 +1000

lvm-common (1.5.20ubuntu2) dapper; urgency=low

  * Ship the initramfs local-top script ourselves.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Mar 2006 18:00:30 +0000

lvm-common (1.5.20ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 25 Nov 2005 10:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2)
+Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3), mdadm
 Recommends: logrotate
 Replaces: lvm
-Conflicts: lvm, lvm5 (<= 0.8i-4), lvm6 (<= 0.8.final-2), lvm10 (<= 0.9-1)
+Conflicts: lvm, lvm5 (<= 0.8i-4), lvm6 (<= 0.8.final-2), lvm10 (<= 0.9-1), initramfs-tools (<< 0.40ubuntu30)
 Description: The Logical Volume Manager for Linux (common files)
  LVM includes all of the support for handling read/write operations on
  physical volumes (hard disks, RAID-Systems, magneto optical, etc.,

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,13 @@
 	install -d -o root -g root -m 755 debian/tmp/etc/init.d
 	install -p -o root -g root -m 755 debian/init \
 		debian/tmp/etc/init.d/lvm
+		
+	install -d -o root -g root -m 755 debian/tmp/usr/share/initramfs-tools/scripts/local-top
+	install -d -o root -g root -m 755 debian/tmp/usr/share/initramfs-tools/hooks
+	install -p -o root -g root -m 755 debian/initramfs-local \
+		debian/tmp/usr/share/initramfs-tools/scripts/local-top/lvm
+	install -p -o root -g root -m 755 debian/initramfs-hook \
+		debian/tmp/usr/share/initramfs-tools/hooks/lvm
 
 	#install -d -o root -g root -m 755 debian/tmp/etc/cron.d
 	#install -p -o root -g root -m 644 debian/cron \

## lvm-common 1.5.20ubuntu7

=== debian/changelog ===
lvm-common (1.5.20ubuntu7) edgy; urgency=low
  
  * Fix slumber in lvm local-top script to wait max 3 minutes and not 15.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 26 Sep 2006 09:47:54 +0200

lvm-common (1.5.20ubuntu6) edgy; urgency=low
  
  * Fix both initramfs hook and local top script to copy lvm in place of
    vgchange.
  * Create vgchange and pvscan synlinks at boot time.
  * Implement a loop similar to "Wait for root" to make sure devices are
    settled before calling vgchange.
  * Kick pvscan before vgscan. This is required if devices will appear after
    the first call to vgscan.
  * All of the above fix boot with root on LVM.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 22 Sep 2006 16:05:43 +0200

lvm-common (1.5.20ubuntu5) edgy; urgency=low

  * Remove bashism from initramfs hook script, and replace the bogus AND
    with a slightly less bogus OR that DTRT without lvm2 (Malone: #60996)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 18 Sep 2006 14:30:26 +1000

## lvm-common 1.5.20ubuntu12

=== debian/changelog ===
lvm-common (1.5.20ubuntu12) feisty; urgency=low

  * Remove dependency on mdadm, since this was only in place for the
    initramfs local-top script which is no more.  LP: #98929.

 -- Scott James Remnant <scott@ubuntu.com>  Mon,  2 Apr 2007 18:01:30 +0100

lvm-common (1.5.20ubuntu11) feisty; urgency=low

  UdevLvm - reinstate 1.5.20ubuntu9:
  * Remove nonsense (calls to vgchange, random sleeps, etc.) from
    initramfs-tools/scripts/local-top/lvm aka debian/initramfs-local.  The
    only thing that remains in this script is to create the symlinks
    /sbin/{vgchange,pvscan}.

  With some improvements:
  * Copy lvm udev rules into initramfs.
  * initramfs local-top script is no longer needed since we can just
    say `lvm <lvm-command>' rather than relying on the symlinks.

  * Declare Breaks against old lvm2 since we now depend on the proper udev
    support in the new lvm2.

  These changes are possible now because udev-device-mapper is implemented
  including `watershed'.

 -- Ian Jackson <iwj@ubuntu.com>  Tue,  6 Feb 2007 16:35:21 +0000

lvm-common (1.5.20ubuntu10) feisty; urgency=low

  * Revert 1.5.20ubuntu9.  The nonsense is still needed because:
    - udev-device-mapper is not yet implemented;
    - udev-lvm does not copy the relevant udev rules explicitly into the
       initramfs;
    - there is an ordering problem between udev starting and the lvm /sbin
       symlinks being created (it would be better to incorporate these
       links into the initramfs rather than creating them during boot).
    - the udev watershed feature is not yet implemented (or at least,
       the implementation is not in feisty).

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 12 Dec 2006 17:09:52 +0000

lvm-common (1.5.20ubuntu9) feisty; urgency=low

  * Remove nonsense (calls to vgchange, random sleeps, etc.) from
    initramfs-tools/scripts/local-top/lvm aka debian/initramfs-local.  The
    only thing that remains in this script is to create the symlinks
    /sbin/{vgchange,pvscan}.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 12 Dec 2006 14:16:04 +0000

lvm-common (1.5.20ubuntu8) feisty; urgency=low

  * Change local-top and hook prereq on mdadm and not md.
  (Closes Ubuntu: #72387)

  * Bump Depends on mdadm to make sure mdadm is available.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 20 Nov 2006 12:18:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 
 Package: lvm-common
 Architecture: any
-Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3), mdadm
+Depends: ${shlibs:Depends}, module-init-tools|modutils (>> 2.3.11-2), lsb-base (>= 1.3-9ubuntu3)
 Recommends: logrotate
 Replaces: lvm
 Conflicts: lvm, lvm5 (<= 0.8i-4), lvm6 (<= 0.8.final-2), lvm10 (<= 0.9-1), initramfs-tools (<< 0.40ubuntu30)
+Breaks: lvm2 (<< 2.02.06-2ubuntu6)
 Description: The Logical Volume Manager for Linux (common files)
  LVM includes all of the support for handling read/write operations on
  physical volumes (hard disks, RAID-Systems, magneto optical, etc.,

=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,7 @@
 	install -d -o root -g root -m 755 debian/tmp/etc/init.d
 	install -p -o root -g root -m 755 debian/init \
 		debian/tmp/etc/init.d/lvm
-		
-	install -d -o root -g root -m 755 debian/tmp/usr/share/initramfs-tools/scripts/local-top
 	install -d -o root -g root -m 755 debian/tmp/usr/share/initramfs-tools/hooks
-	install -p -o root -g root -m 755 debian/initramfs-local \
-		debian/tmp/usr/share/initramfs-tools/scripts/local-top/lvm
 	install -p -o root -g root -m 755 debian/initramfs-hook \
 		debian/tmp/usr/share/initramfs-tools/hooks/lvm
